com.aliyun.svideosdk.multirecorder

## Interface OnVideoRecordListener

-     public interface OnVideoRecordListener

  An interface that defines recording listener. Added in v3.22.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClipComplete(boolean validClip, long clipDuration)` The callback when the recording clip is complete.
    `void` | `onError(int errorCode)` The callback when an error occurs during recording.
    `void` | `onFinish(java.lang.String outputPath)` The callback when the composition process is complete.
    `void` | `onInitReady()` The callback when the initializer is invoked.
    `void` | `onMaxDuration()` The callback when the recording reaches the maximum length.
    `void` | `onProgress(long duration)` The callback that outputs the progress of recording.

- - ### Method Detail

    - #### onProgress

          void onProgress(long duration)

      The callback that outputs the progress of recording. This callback is invoked by a thread created internally by the SDK.
      Parameters:
        `duration` - The current length of the recording.

    - #### onFinish

          void onFinish(java.lang.String outputPath)

      The callback when the composition process is complete. This callback is invoked by the thread that invokes `AliyunIVideoRecorder.finishRecording()`.
      Parameters:
        `outputPath` - The path of the composed video.

    - #### onClipComplete

          void onClipComplete(boolean validClip,
                              long clipDuration)

      The callback when the recording clip is complete. This callback is invoked by a thread created internally by the SDK.
      Parameters:
        `validClip` - Whether the recorded clip is valid. false if the clip is too short.
        `clipDuration` - The length of the clip.

    - #### onMaxDuration

          void onMaxDuration()

      The callback when the recording reaches the maximum length. This callback is invoked by a thread created internally by the SDK.

    - #### onError

          void onError(int errorCode)

      The callback when an error occurs during recording. This callback is invoked by a thread created internally by the SDK.
      Parameters:
        `errorCode` - @see com.aliyun.svideosdk.common.AliyunErrorCode

    - #### onInitReady

          void onInitReady()

      The callback when the initializer is invoked.